# Manage destinations Create, retrieve, update, and delete connector destinations for an organization. ## List destinations Returns all configured destinations in the organization's workspace. #### Path Parameters **`organization_id`** string required The unique identifier of the organization (format: `org_*`). ## Get destination Retrieve a single destination by ID. #### Path Parameters **`destination_id`** string required The destination ID. ## Create destination Create a new destination. #### Request Body **`name`** string required Human-readable destination name. **`destination_definition_id`** string required The destination definition to use. **`workspace_id`** string required The workspace to create the destination in. **`configuration`** object optional Destination-specific configuration (connection details, credentials, etc.). ## Update destination Partially update a destination's properties. #### Request Body **`name`** string optional Updated destination name. **`configuration`** object optional Partial configuration updates. ## Delete destination Permanently delete a destination. Returns 204 No Content on success. ## Returns A destination object containing `destination_id`, `name`, `destination_definition_id`, `workspace_id`, `configuration`, and `destination_type`. Request ```bash cURL curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/destinations" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` ```python Python SDK from aitronos import Aitronos client = Aitronos(api_key="your-api-key") destinations = client.knowledge_connectors.list_destinations( organization_id="org_xyz789", ) print(destinations) ``` ```python Python import requests org_id = "org_xyz789" url = f"https://api.aitronos.com/v1/organizations/{org_id}/knowledge/connectors/destinations" headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript JavaScript const response = await fetch( "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/destinations", { headers: { Authorization: "Bearer YOUR_ACCESS_TOKEN" }, } ); const data = await response.json(); console.log(data); ``` Response ```json 200 OK { "data": [ { "destination_id": "dest_abc123", "name": "Production PostgreSQL", "destination_definition_id": "def_xyz789", "workspace_id": "ws_abc123", "configuration": {}, "destination_type": "postgres" } ] } ``` ```json 4xx Error { "success": false, "error": { "code": "CONNECTOR_DESTINATION_NOT_FOUND", "message": "The requested destination was not found.", "type": "client_error", "status": 404, "details": {}, "trace_id": "abc-123-def", "timestamp": "2025-12-22T15:30:00Z" } } ``` ## Related Resources - [Destination Definitions](/docs/api-reference/knowledge-connectors/destination-definitions) - [Sources](/docs/api-reference/knowledge-connectors/sources) - [Tags](/docs/api-reference/knowledge-connectors/tags) - [Connector Versions](/docs/api-reference/knowledge-connectors/connector-versions)